Name:           bonnie++
Version:        1.03c
Release:        2%{?dist}

Summary:        Filesystem and disk benchmark & burn-in suite

Group:          Applications/System
License:        GPLv2
URL:            http://www.coker.com.au/bonnie++/
Source0:        http://www.coker.com.au/bonnie++/bonnie++-1.03c.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
Patch1:         bonnie++-1.03a-gcc43.patch

%description
bonnie++ filesystem and disk benchmark suite aggressively reads & writes
in various ways on your filesystem then outputs useful benchmark performance
data.  bonnie++ is also useful as a hardware, disk, and filesystem stability
test, exposing some types of hardware or kernel failures that would otherwise
be difficult to detect.

Do not leave bonnie++ installed on a production system.  Use only while you
test servers.

%prep
%setup -q -n bonnie++-1.03c
%patch1 -p1
sed -i 's|${INSTALL}\s\+-s\b|${INSTALL}|' Makefile


%build
make %{?_smp_mflags} MORECFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc readme.html copyright.txt credits.txt debian/changelog
%{_mandir}/man1/bon_csv2html.1.gz
%{_mandir}/man1/bon_csv2txt.1.gz
%{_mandir}/man8/bonnie++.8.gz
%{_mandir}/man8/zcav.8.gz
%{_sbindir}/bonnie++
%{_sbindir}/zcav
%{_bindir}/bon_csv2html
%{_bindir}/bon_csv2txt


%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03c-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.03c-1
- update to 1.03c
- fix license tag

* Fri Feb 08 2008 Warren Togami <wtogami@redhat.com> 1.03a-9
- rebuild for gcc-4.3

* Tue Aug 21 2007 Warren Togami <wtogami@redhat.com> 1.03a-7
- rebuild for F8

* Thu Sep 14 2006 Warren Togami <wtogami@redhat.com> 0:1.03a-6
- rebuild for FC6

* Thu Mar 16 2006 Warren Togami <wtogami@redhat.com> 0:1.03a-5
- rebuild for FC5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Dec 20 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.03a-3
- Let rpmbuild take care of stripping binaries.

* Sun May 18 2003 Warren Togami <warren@togami.com> - 0:1.03-0.fdr.2.a
- #267 Ville's docs, optflags and mandir patch

* Fri May 06 2003 Warren Togami <warren@togami.com> - 0:1.03-0.fdr.1.a
- Initial RPM release
